### Function

# Gdk content_register_serializer

#### Declaration [src]

    void
    gdk_content_register_serializer (
      GType type,
      const char* mime_type,
      GdkContentSerializeFunc serialize,
      gpointer data,
      GDestroyNotify notify
    )

#### Description [src]

Registers a function to serialize objects of a given type.

#### Parameters

`type` | `GType`
| The type of objects that the function can serialize.
`mime_type` | `const char*`
| The mime type to serialize to.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`serialize` | `GdkContentSerializeFunc`
| The callback.
`data` | `gpointer`
| Data that `serialize` can access.
`notify` | `GDestroyNotify`
| Destroy notify for `data`.